Starmade | Missile-Lock animation played after no longer selecting Lock on Missile
Closed, FinishedPublic

Description

The lock on missile animation continues to play, irrespective of what other hotbar slots contain upon switching weapons.

When you click with this animation present, Lock On missiles will cease to perform any locking on at all, regardless of time spent looking at a single entity.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.198.147
Category
Ingame GUI/HUD
First occurrence (version)
0.197.51
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
GT530
Steps to reproduce
  1. use a lock on missile
  2. wait for the lock to be completed
  3. switch to an empty hotbar slot or another weapon

-> Lock is still there
takes a few seconds before it goes away

  1. if you click in an empty hotbar slot or other weapon, the lock will be gone but the reticle will still be small.
Tester information (Internal use only)

Description has everything.

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Napther created this task.Apr 29 2016, 9:53 AM
Restricted Application added a project: Issue Navigation. · View Herald TranscriptApr 29 2016, 9:53 AM
lancake claimed this task.May 14 2016, 11:30 PM
lancake added a subscriber: lancake.

-Validated-

Hm, it was more or less known, just not reported :(
Your description has everything I found so I'll just edit the steps to reproduce a bit and then push it in queue.

lancake shifted this object from the S1 Public space to the S3 Starmade space.May 14 2016, 11:41 PM
lancake edited the task description. (Show Details)
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
lancake set First occurrence (version) to 0.197.51.
lancake triaged this task as "Low" priority.
lancake changed Last tested (version) from 0.197.51 to 0.198.147.
lancake changed the task status from "Open" to "In Queue (Game)".Jun 8 2016, 10:52 PM

-confirmed-

Restricted Application edited projects, added Starmade, Game Development; removed Issue Navigation. · View Herald TranscriptJun 8 2016, 10:52 PM
lancake raised the priority of this task from "Low" to "Release Blocker".
Restricted Application added a subscriber: AndyP. · View Herald TranscriptAug 9 2016, 6:10 PM

By changing the assigned Hotbar up/down and going back to the missile computers fixes the lock-on animation, and allows rockets fired to lock on. This sometimes needs to be repeated if a cannon is used in the interim between rocket launches,

lancake lowered the priority of this task from "Release Blocker" to "Low".Aug 25 2016, 6:57 PM
lancake changed the task status from "In Queue (Game)" to "Resolved".Dec 20 2016, 10:55 PM

Should be fixed in next version.

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptDec 20 2016, 10:55 PM
lancake added a commit: Restricted Diffusion Commit.Dec 20 2016, 10:57 PM
lancake closed this task as "Closed".Feb 28 2017, 9:59 AM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptFeb 28 2017, 9:59 AM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
Restricted Application added a project: GUI/HUD. · View Herald TranscriptMar 10 2017, 6:13 PM